/***********************************************************

	pic18seg7.h

	Version 1.00: 2009/10/10

	Copyright (C) 2008-2009, MicroFan Div., PeopleMedia, Inc.
	All rights reserved.

***********************************************************/

#ifndef PIC18SEG7_H_
#define PIC18SEG7_H_

#if defined(USE_SEG7)

/* 7セグメントLEDの表示桁数 */
#define NDIGIT 4

#if defined(PICSYS18_SP)
#define NDIGIT_LED	(NDIGIT+1)
#else
#define NDIGIT_LED	NDIGIT
#endif

#define	SEG7_INT	0
#define	SEG7_FULL	1
#define	SEG7_HEX	2

#define	SEG7_BLANK	16
#define	SEG7_MINUS	17
#define	SEG7_H	18
#define	SEG7_L	19
#define	SEG7_HIGH	20
#define	SEG7_LOW	21

void SEG7_init(BYTE, BYTE, BYTE, BYTE, BYTE, BYTE) ;
#if defined(SR_DAT)
void SEG7_initDefault(void) ;
#endif

void SEG7_setDigit(char, char) ;
void SEG7_write(int, BYTE) ;
void SEG7_setSegment(char, BYTE) ;

#if defined(PICSYS18_SP)
void LED_write(BYTE) ;
int LED_read(void) ;

void LED_bitWrite(BYTE, BYTE) ;
void LED_bitSet(BYTE) ;
void LED_bitClear(BYTE) ;
int LED_bitGet(BYTE) ;
#endif

/* ダイナミック表示の更新処理：ユーザは基本的に利用しない */
void isr_SEG7_update(void) ;

#endif /*USE_SEG7*/

#endif /*PIC18SEG7_H_*/
